<script>
	let data = {
    nom: 'Rivière',
    prenom: 'Hugo',
    pseudo: 'Bisquette',
    mail: 'riviere.hugols@gmail.com',
    biographie: 'twice biggest fan !',
    naissance: 'Mon Aug 13 2001 02:00:00 GMT+0200 (heure d’été d’Europe centrale)',
    photo: undefined,
    role: 'cinephile'
  }
  let pseudoDejaPris = true
  let formulaire = {
  id_utilisateur: 1,
  nom: 'Rivière',
  prenom: 'Hugo',
  pseudo: 'Bisquette',
  mail: 'riviere.hugols@gmail.com',
  mdp_hash: '$argon2id$v=19$m=65536,t=3,p=4$Fcp3RnOYfWkSqs5Mek/ZrA$V28Cb0klWUSSbG6jQFUwEMsD4OGba61hD8q2kK2JV3M',
  naissance: 'Mon Aug 13 2001 02:00:00 GMT+0200 (heure d’été d’Europe centrale)',
  biographie: 'twice biggest fan !',
  photo: 'Bisquette.jpeg',
  role: 'cinephile',
  creation: '2023-06-19T11:49:20+02:00'
};

	let roles = [
		{ id: 'cinephile', text: `Cinéphile` },
		{ id: 'pro', text: `Professionnel` }
	];

	let src = `/profil_pictures/Bisquette.jpeg`;
</script>

<form method="post" enctype="multipart/form-data">
	<div class="content">
		<h1>Modifie ton compte</h1>
		<span>
			{#if true}
				Modifications enregistrées
			{/if}
		</span>
		<p>
			<label for="nom">Nom :</label>

			<input id="nom" type="text" name="nom" bind:value={formulaire.nom} required />
			
		</p>
		<p>
			<label for="prenom">Prénom :</label>

			<input id="prenom" type="text" name="prenom" bind:value={formulaire.prenom} required />
			
		</p>
		<p>
			<label for="pseudo">Pseudo :</label>

			<input id="pseudo" type="text" name="pseudo" bind:value={formulaire.pseudo} required />
			<span>
				{#if pseudoDejaPris}
					Pseudo déjà pris
				{/if}
			</span>
			
		</p>
		<p>
			<label for="mail">Adresse mail :</label>

			<input id="mail" type="email" name="mail" bind:value={formulaire.mail} required />
		</p>
		
		<p>
			<label for="naissance">Date de naissance :</label>
			{formulaire.naissance}
		</p>

		<p>
			<label for="biographie">Biographie :</label>

			<input id="biographie" type="text" name="biographie" bind:value={formulaire.biographie} />
		</p>
		
		<p />
		<div class="input_container">
			<label for="photo">Photo :</label>

			<input
				type="file"
				id="file"
				accept=".jpg, .jpeg, .png"
				name="file"
				bind:value={formulaire.photo}
			/>
			

			{#if true}
				<img class="profil_photo" {src} alt="profile_picture" />
			{:else}
				<img class="profil_photo" src="/icon/defaut_photo_profil.png" alt="profile_picture" />
			{/if}
		</div>
		<p>
			<label for="role">Rôle :</label>

			<select id="role" name="role" placeholder={formulaire.role} bind:value={formulaire.role}>
				{#each roles as option}
					<option value={option.id}>
						{option.text}
					</option>
				{/each}
			</select>
			
		</p>
		
	
	</div>

	<div class="droite">
		<button type="submit">Valider</button>
	</div>
</form>
<button>
	<a href="/modifier_mdp"> Changer son mot de passe </a>
</button>

<style>
	.content {
		width: 100%;
		max-width: var(--column-width);
		margin: var(--column-margin-top) auto 0 auto;
	}
	.droite {
		text-align: right;
	}
</style>
